"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const matcher_1 = require("./matcher");
class NumberMatcher extends matcher_1.Matcher {
    toBeLessThan(upperLimit) {
        this._validateValues(upperLimit, "toBeLessThan", "upper limit");
        this._registerMatcher(this.actualValue < upperLimit === this.shouldMatch, `Expected ${this.actualValue} ${!this.shouldMatch ? "not " : ""}to be less than ${upperLimit}.`, `a number ${!this.shouldMatch ? "not " : ""}less than ${upperLimit}`, {
            actual: this.actualValue,
            upperLimit
        });
    }
    toBeGreaterThan(lowerLimit) {
        this._validateValues(lowerLimit, "toBeGreaterThan", "lower limit");
        this._registerMatcher(this.actualValue > lowerLimit === this.shouldMatch, `Expected ${this.actualValue} ${!this.shouldMatch ? "not " : ""}to be greater than ${lowerLimit}.`, `a number ${!this.shouldMatch ? "not " : ""}greater than ${lowerLimit}`, {
            actual: this.actualValue,
            lowerLimit
        });
    }
    _validateValues(limit, functionName, limitType) {
        if (limit === null || limit === undefined) {
            throw new TypeError(`${functionName} ${limitType} must not be null or undefined.`);
        }
    }
}
exports.NumberMatcher = NumberMatcher;
//# sourceMappingURL=number-matcher.js.map